Update enterprise connection
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
The name of the Organization's Enterprise Connection
Body
The connection name
The purpose of this default role is to be associated to your users if:
- you choose to not expose your IDPs groups to the SAML / OIDC connection
- no associated group is found in your
group_mappingsdefined
You can define either a Qovery provided role (i.e viewer) or one of your custom role`s uuid.
- if
true, roles will be synchronized at each user login according to yourgroup_mappingsconfiguration based on your IDP groups - if
false, no synchronization is done for your users andgroup_mappingsconfiguration will be ignored
This will allow to create mapping rules based on your IDP group names.
It's a dictionnary having:
- key: either a Qovery provided role (i.e
viewer) or one of your custom role`s uuid - value: an array of your IDP group names
Example: "I want to associate the Qovery role devops to my IDP groups ['Administrators', 'DevSecOps']"
Response
Update enterprise connection
The connection name
The purpose of this default role is to be associated to your users if:
- you choose to not expose your IDPs groups to the SAML / OIDC connection
- no associated group is found in your
group_mappingsdefined
You can define either a Qovery provided role (i.e viewer) or one of your custom role`s uuid.
- if
true, roles will be synchronized at each user login according to yourgroup_mappingsconfiguration based on your IDP groups - if
false, no synchronization is done for your users andgroup_mappingsconfiguration will be ignored
This will allow to create mapping rules based on your IDP group names.
It's a dictionnary having:
- key: either a Qovery provided role (i.e
viewer) or one of your custom role`s uuid - value: an array of your IDP group names
Example: "I want to associate the Qovery role devops to my IDP groups ['Administrators', 'DevSecOps']"